using LitJson;
using System.Collections.Generic;

namespace CTZLauncher.Modules.Minecraft
{
    public class ServerInfo
    {
        [JsonPropertyName("description")]
        public string Description { get; set; }
        [JsonPropertyName("players")]
        public Players Players { get; set; }
        [JsonPropertyName("version")]
        public Version Version { get; set; }
        [JsonPropertyName("modinfo")]
        public ModInfo ModInfo { get; set; }
    }

    public class ModInfo
    {
        [JsonPropertyName("type")]
        public string Type { get; set; }
        [JsonPropertyName("modList")]
        public List<Mod> ModList { get; set; }
    }

    public class Mod
    {
        [JsonPropertyName("modid")]
        public string Modid { get; set; }
        [JsonPropertyName("version")]
        public string Version { get; set; }
    }

    public class Version
    {
        [JsonPropertyName("name")]
        public string Name { get; set; }
        [JsonPropertyName("protocol")]
        public int Protocol { get; set; }
    }

    public class Players
    {
        [JsonPropertyName("max")]
        public int Max { get; set; }
        [JsonPropertyName("online")]
        public int Online { get; set; }
    }
}
